# Interface PhysicalLocation

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `PhysicalLocationForMateCigar, PhysicalLocationInt, PhysicalLocationShort, ReadEnds, ReadEndsForMarkDuplicates, ReadEndsForMarkDuplicatesWithBarcodes, ReadEndsForMateCigar`

public interface PhysicalLocation extends Serializable
Small interface that provides access to the physical location information about a cluster. All values should be defaulted to -1 if unavailable. ReadGroup and Tile should only allow non-zero positive integers, x and y coordinates may be negative.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`NO_VALUE`

## Method Summary

Modifier and Type
Method
Description
`short`
`getLibraryId()`
`short`
`getReadGroup()`
`short`
`getTile()`
`int`
`getX()`
`int`
`getY()`
`default boolean`
`hasLocation()`
Default implementation of a method to check whether real location data has been set.
`void`
`setLibraryId(short libraryId)`
`void`
`setReadGroup(short rg)`
`void`
`setTile(short tile)`
`void`
`setX(int x)`
`void`
`setY(int y)`

## Field Details

### NO_VALUE

static final int NO_VALUE

See Also:
  - Constant Field Values

## Method Details

### getReadGroup

short getReadGroup()

### setReadGroup

void setReadGroup(short rg)

### getTile

short getTile()

### setTile

void setTile(short tile)

### getX

int getX()

### setX

void setX(int x)

### getY

int getY()

### setY

void setY(int y)

### getLibraryId

short getLibraryId()

### setLibraryId

void setLibraryId(short libraryId)

### hasLocation

default boolean hasLocation()
Default implementation of a method to check whether real location data has been set.